be.fgov.ehealth.dics.protocol.v5

## Class FindListOfAmpResponse

- java.lang.Object
- - be.fgov.ehealth.commons.protocol.v2.ResponseType
  - - be.fgov.ehealth.dics.protocol.v5.DicsResponseType
    - - be.fgov.ehealth.dics.protocol.v5.FindListOfAmpResponse

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2026-02-23T10:15:33+01:00",
                 comments="JAXB RI v2.3.7")
      public class FindListOfAmpResponse
      extends DicsResponseType
      implements Serializable

  Java class for FindListOfAmpResponseType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="FindListOfAmpResponseType">
         <complexContent>
           <extension base="{urn:be:fgov:ehealth:dics:protocol:v5}DicsResponseType">
             <sequence minOccurs="0">
               <element name="Amp" type="{urn:be:fgov:ehealth:dics:protocol:v5}ListAmpType" maxOccurs="unbounded"/>
             </sequence>
           </extension>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FindListOfAmpResponse()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<ListAmpType>` | `getAmps()` Gets the value of the amps property.

    - ### Methods inherited from class be.fgov.ehealth.dics.protocol.v5.DicsResponseType

      `getSamId, getSearchDate, setSamId, setSearchDate`

    - ### Methods inherited from class be.fgov.ehealth.commons.protocol.v2.ResponseType

      `getId, getInResponseTo, getIssueInstant, setId, setInResponseTo, setIssueInstant`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FindListOfAmpResponse

          public FindListOfAmpResponse()

  - ### Method Detail

    - #### getAmps

          public List<ListAmpType> getAmps()

      Gets the value of the amps property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the amps property.

      For example, to add a new item, do as follows:

              getAmps().add(newItem);

      Objects of the following type(s) are allowed in the list `ListAmpType`

Connector Packaging PERSOCCUPATIONALTHERAPIST 4.8.6 API
Copyright © {inceptionYear}-2026 eHealth. All Rights Reserved.